# ZipArchiveOutputStream.UnicodeExtraFieldPolicy (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.zip

## Class ZipArchiveOutputStream.UnicodeExtraFieldPolicy

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.ZipArchiveOutputStream.UnicodeExtraFieldPolicy

- Enclosing class:
    ZipArchiveOutputStream

      public static final class ZipArchiveOutputStream.UnicodeExtraFieldPolicy
      extends Object

  enum that represents the possible policies for creating Unicode extra fields.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `ALWAYS` Always create Unicode extra fields.
    `static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `NEVER` Never create Unicode extra fields.
    `static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `NOT_ENCODEABLE` Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALWAYS

          public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy ALWAYS

      Always create Unicode extra fields.

    - #### NEVER

          public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy NEVER

      Never create Unicode extra fields.

    - #### NOT_ENCODEABLE

          public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy NOT_ENCODEABLE

      Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 The Apache Software Foundation. All rights reserved.